%define oname   syntax

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 6
Summary:    Syntax is Ruby library for performing simple syntax highlighting
Group:      Development/Ruby
License:    BSD
URL:        http://rubygems.org/gems/syntax/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     syntax-1.0.0-missing-section.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Syntax is Ruby library for performing simple syntax highlighting.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.0.0-6.mga3
+ Revision: 396529
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 381527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.0.0-4.mga3
+ Revision: 313980
- fix missing sections
- rebuild for new ruby

* Wed Jan 26 2011 shikamaru <shikamaru> 1.0.0-3.mga1
+ Revision: 39706
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 36114
- imported package ruby-syntax

